
// -- METHOD ----------------------------------------------------------------
/** Returns the element at the specified position in this list and performs a
type cast to this lists specification of items.
@since    ${class.since}
@param    pnPos the index of the element to return
@return   the element at the specified position in this list
*///-------------------------------------------------------------------------
public ${collection.type} get${collection.item}(
  final int pnPos
)
{
  return super.get( pnPos );
} // get${collection.item}


// -- METHOD ----------------------------------------------------------------
/** Replaces the element at the specified position in this list with the
specified element.
@since    ${class.since}
@param    pnPos the index of the element to return
@param    pObject the element to be stored at the specified position
@return   the element previously at the specified position
*///-------------------------------------------------------------------------
public ${collection.type} set${collection.item}(
  final int pnPos,
  final ${collection.type} pObject
)
{
  return super.set( pnPos, pObject );
} // set${collection.item}


// -- METHOD ----------------------------------------------------------------
/** Sorts this Collection assuming Comparable items using the sort() method
of java.util.Collections.
@since    ${class.since}
*///-------------------------------------------------------------------------
public final void sort()
{
  Collections.sort( this );
} // sort


// -- METHOD ----------------------------------------------------------------
/** Sorts this Collection using the given Comparator using the sort() method
of java.util.Collections.
@since    ${class.since}
@param    pComparator the comparator to use for sorting
*///-------------------------------------------------------------------------
public final void sort(
  final Comparator<? super ${collection.type}> pComparator
)
{
  Collections.sort( this, pComparator );
} // sort


// -- METHOD ----------------------------------------------------------------
/** Removes any duplicate entries in this list using the elements <code>equals()</code>
method to find duplicates. The current implementation adds all elements to a
set, not replacing already existing elements in the set (thus the first element
of the list will be kept, following duplicates will be removed). The resulting
sets contents are then added back to the cleared list.
@since    ${class.since}
*///-------------------------------------------------------------------------
public final void makeUnique()
{
  final LinkedHashSet<${collection.type}> lUniqueSet =
    new LinkedHashSet<${collection.type}>( size() );
  final Iterator<${collection.type}> lValues = iterator();
  while ( lValues.hasNext() ) {
    final ${collection.type} lValue = lValues.next();
    if ( !lUniqueSet.contains( lValue ) ) {
      lUniqueSet.add( lValue );
    }
  }
  clear();
  ensureCapacity( lUniqueSet.size() );
  addAll( lUniqueSet );
} // makeUnique


// -- METHOD ----------------------------------------------------------------
/** Returns a new array containing all of the elements in this list in the
correct order.
@since    ${class.since}
@return   a newly allocated array containing all of the elements in this list
          in the correct order
*///-------------------------------------------------------------------------
public ${collection.type}[] to${collection.item}Array()
{
  return to${collection.item}Array( new ${collection.type}[ size() ] );
} // to${collection.item}Array


// -- METHOD ----------------------------------------------------------------
/** Returns an array containing all of the elements in this list in the
correct order.
@since    ${class.since}
@param    pObjects an existing array to fill with the elements in this list
@return   the (possibly newly allocated) array containing all of the elements
          in this list in the correct order
*///-------------------------------------------------------------------------
public ${collection.type}[] to${collection.item}Array(
  final ${collection.type}[] pObjects
)
{
  return ( ${collection.type}[] )super.toArray( pObjects );
} // to${collection.item}Array

