// -- FILE ------------------------------------------------------------------
// name       : PluginException.java
// project    : BoarderZone: Libraries
// created    : Leon Poyyayil - 2005.06.25
// language   : java
// environment: JDK 1.5.0
// copyright  : (c) 1990-2008 by Leon Poyyayil (private), Switzerland
// license    : this is free software licensed under the GPL. see COPYING
// --------------------------------------------------------------------------
package net.boarderzone.plugin;

import net.boarderzone.util.lang.MessageException;


// -- CLASS -----------------------------------------------------------------
/** Base for exceptions in this package.
@author   Leon Poyyayil
@version  0.8.458
@since    0.4.225
*///-------------------------------------------------------------------------
public abstract class PluginException extends MessageException {


// ----- constants -----
/** provides version information for this class/package */
public static final VersionInfo VERSION_INFO = VersionInfo.getInstance();


// -- METHOD ----------------------------------------------------------------
/** Default constructor.
@since    0.4.225
*///-------------------------------------------------------------------------
protected PluginException()
{
} // PluginException


// -- METHOD ----------------------------------------------------------------
/** Wrapper constructor.
@since    0.4.225
@param    pCause the original exception which causes this exception
*///-------------------------------------------------------------------------
protected PluginException(
  final Throwable pCause
)
{
  super( pCause );
} // PluginException


// -- METHOD ----------------------------------------------------------------
/** Explicit message constructor.
@since    0.4.225
@param    pMessage the message passed on to the super class
*///-------------------------------------------------------------------------
protected PluginException(
  final String pMessage
)
{
  super( pMessage );
} // PluginException


// -- METHOD ----------------------------------------------------------------
/** Explicit message constructor.
@since    0.4.225
@param    pMessage the message passed on to the super class
@param    pCause the original exception which causes this exception
*///-------------------------------------------------------------------------
protected PluginException(
  final String    pMessage,
  final Throwable pCause
)
{
  super( pMessage, pCause );
} // PluginException


// -- METHOD ----------------------------------------------------------------
/** Explicit message constructor.
@since    0.4.225
@param    pMessageArguments the arguments for the message
*///-------------------------------------------------------------------------
protected PluginException(
  final Object[] pMessageArguments
)
{
  super( pMessageArguments );
} // PluginException


// -- METHOD ----------------------------------------------------------------
/** Explicit wrapper message constructor.
@since    0.4.225
@param    pMessageArguments the arguments for the message
@param    pCause the original exception which causes this exception
*///-------------------------------------------------------------------------
protected PluginException(
  final Object[]  pMessageArguments,
  final Throwable pCause
)
{
  super( pMessageArguments, pCause );
} // PluginException


// ----- members -----
/** serialization versioning: necessary to prevent obfuscation from breaking it */
private static final long serialVersionUID = 0x41f63e4263a3b256L;


} // class PluginException
// --------------------------------------------------------------------------


// -- EOF -------------------------------------------------------------------
