// -- FILE ------------------------------------------------------------------
// name       : PluginLoader.java
// project    : BoarderZone: Libraries
// created    : Leon Poyyayil - 2005.06.25
// language   : java
// environment: JDK 1.5.0
// copyright  : (c) 1990-2008 by Leon Poyyayil (private), Switzerland
// license    : this is free software licensed under the GPL. see COPYING
// --------------------------------------------------------------------------
package net.boarderzone.plugin;


// -- CLASS -----------------------------------------------------------------
/** Contract for a loader of Plugin classes.
@author   Leon Poyyayil
@version  0.8.458
@since    0.4.225
*///-------------------------------------------------------------------------
public interface PluginLoader {


// ----- constants -----
/** provides version information for this class/package */
public static final VersionInfo VERSION_INFO = VersionInfo.getInstance();


// -- METHOD ----------------------------------------------------------------
/** Loads the class of the plugin.
@since    0.4.225
@param    pPluginClassName the name of the class implementing the plugin
@return   the class with the given name
@throws   PluginNotFoundException in case no class with the given name can be found
*///-------------------------------------------------------------------------
public Class loadPluginClass(
  final String pPluginClassName
) throws PluginNotFoundException;


} // interface PluginLoader
// --------------------------------------------------------------------------


// -- EOF -------------------------------------------------------------------
