// -- FILE ------------------------------------------------------------------
// name       : PluginNotFoundException.java
// project    : BoarderZone: Libraries
// created    : Leon Poyyayil - 2005.06.25
// language   : java
// environment: JDK 1.5.0
// copyright  : (c) 1990-2008 by Leon Poyyayil (private), Switzerland
// license    : this is free software licensed under the GPL. see COPYING
// --------------------------------------------------------------------------
package net.boarderzone.plugin;


// -- CLASS -----------------------------------------------------------------
/** Thrown by PluginFactory implementations when creation of a plugin fails.
@author   Leon Poyyayil
@version  0.8.458
@since    0.4.225
*///-------------------------------------------------------------------------
public final class PluginNotFoundException extends PluginException {


// ----- constants -----
/** provides version information for this class/package */
public static final VersionInfo VERSION_INFO = VersionInfo.getInstance();


// -- METHOD ----------------------------------------------------------------
/** Explicit message constructor.
@since    0.4.225
@param    pPluginClassName the name of the plugin which could not be found
*///-------------------------------------------------------------------------
public PluginNotFoundException(
  final String pPluginClassName
)
{
  super( pPluginClassName );
} // PluginNotFoundException


// -- METHOD ----------------------------------------------------------------
/** Explicit wrapper message constructor.
@since    0.4.225
@param    pPluginClassName the name of the plugin which could not be found
@param    pCause the original exception which causes this exception
*///-------------------------------------------------------------------------
public PluginNotFoundException(
  final String    pPluginClassName,
  final Throwable pCause
)
{
  super( pPluginClassName, pCause );
} // PluginNotFoundException


// ----- members -----
/** serialization versioning: necessary to prevent obfuscation from breaking it */
private static final long serialVersionUID = 0x62641a2f5b6d7a70L;


} // class PluginNotFoundException
// --------------------------------------------------------------------------


// -- EOF -------------------------------------------------------------------
