// -- FILE ------------------------------------------------------------------
// name       : VersionInfo.java
// project    : BoarderZone: Libraries
// created    : Leon Poyyayil - 2005.06.25
// language   : java
// environment: JDK 1.5.0
// copyright  : (c) 1990-2008 by Leon Poyyayil (private), Switzerland
// license    : this is free software licensed under the GPL. see COPYING
// --------------------------------------------------------------------------
package net.boarderzone.plugin;

import net.boarderzone.util.VersionInfoBase;


// -- CLASS -----------------------------------------------------------------
/** Collection of version information constants. This class exists due to the
fact that most ClassLoaders don't create instances of Package and hence do not
provide access to the version information of the manifest.
@author   Leon Poyyayil
@version  0.8.458
@since    0.4.225
*///-------------------------------------------------------------------------
public final class VersionInfo extends VersionInfoBase {


// ----- constants -----
/** provides version information for this class/package */
public static final VersionInfo VERSION_INFO = VersionInfo.getInstance();


// ----- constants -----
/** the company name under which the class was compiled */
public static final String COMPANY = "@COMPANY@";
/** the version of the compiled class in the form <b>major.minor.build</b> */
public static final String VERSION = "@VERSION@";
/** the status of this build: one of the STATUS_ constants in VersionInfoBase */
public static final String STATUS  = "@STATUS@";
/** the compilation time stamp of the class */
public static final String CREATED = "@TIMESTAMP@";


// -- METHOD ----------------------------------------------------------------
/** Access to the singleton instance.
@since    0.4.225
@return   the singleton instance
*///-------------------------------------------------------------------------
public static final VersionInfo getInstance()
{
  if ( cInstance == null ) {
    cInstance = new VersionInfo();
  }
  return cInstance;
} // getInstance


// -- METHOD ----------------------------------------------------------------
/** Prints version information to standard out.
@since    0.4.225
@param    pArgs the command line arguments
*///-------------------------------------------------------------------------
public static final void main(
  final String[] pArgs
)
{
  getInstance().doMain( pArgs );
} // main


// -- METHOD ----------------------------------------------------------------
/** Prohibits public instantiation of this class.
@since    0.4.225
*///-------------------------------------------------------------------------
private VersionInfo()
{
  super( COMPANY, VERSION, STATUS, CREATED );
} // VersionInfo


// ----- members -----
/** the singleton instance for this class */
private static VersionInfo cInstance;


} // class VersionInfo
// --------------------------------------------------------------------------


// -- EOF -------------------------------------------------------------------
